%define upstream_name    OpenGL
%define upstream_version 0.66

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Interface to OpenGL drawing/imaging library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     perl-OpenGL-0.62-dist.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: glut-devel
BuildRequires: libxi-devel
BuildRequires: mesagl-devel
BuildRequires: mesaglu-devel
BuildRequires: perl-devel
%description
Naming convention:
    Virtually all of the OpenGL 1.0, and 1.1 functions are available, and
    most of 1.2. In general, the calling sequence is identical in Perl as
    in C.

    Most functions that have no pointer arguments are called identically in
    Perl as in C, and the same name is used.

    Functions that use Perl array arguments and have been changed in "the
    obvious way" -- to take a variable number of arguments and/or to return
    an array -- have the the same names as their C counterparts, but with a
    _p suffix.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .dist
# test.pl requires interaction, prefer using tests in t/
rm test.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor dist=NO_EXCLUSIONS
sed 's/PERL_DL_NONLAZY=1//' -i Makefile
%{make}

# since we're building without exclusion, test fail
#%check
#%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc CHANGES COPYRIGHT INSTALL META.yml README SUPPORTS TODO examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.660.0-4.mga3
+ Revision: 371132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.660.0-3.mga3
+ Revision: 251003
- rebuild for perl 5.16

* Mon Feb 13 2012 dmorgan <dmorgan> 0.660.0-2.mga2
+ Revision: 208373
- mesaglw-devel does not exist anymore, so remove from buildrequires

  + jquelin <jquelin>
    - update to 0.66
    - adding missing buildrequires:
    - bug#2412
    - bug#2412 - change glut requires to freeglut
    - update to 0.65

* Sun Jun 12 2011 sander85 <sander85> 0.640.0-2.mga2
+ Revision: 104388
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.640.0-1.mga1
+ Revision: 30995
- mageia rebuild
- imported package perl-OpenGL

